import type { App } from 'vue'
import { setupLayouts } from 'virtual:meta-layouts'
import { createRouter, createWebHistory,createWebHashHistory } from 'vue-router'
import { routes as fileRoutes } from 'vue-router/auto/routes'

export const router = createRouter({
	// history: createWebHistory(),
	history: createWebHashHistory(),
	routes: setupLayouts(fileRoutes),
})

export default (app: App) => app.use(router)
